package com.bcxin.backend.tasks;

import com.bcxin.backend.domain.signature.service.QzSignatureStrategy;
import com.bcxin.backend.domain.signature.service.QzSignatureStrategyFactory;
import com.bcxin.backend.domain.signature.service.SignatureToPDFService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Component;

/**
 * 扫描签章表中状态（status）为3（已生成pdf待签章的数据）且当前时间大于上一次更新时间（last_processed_time）5小时以上,将其状态改为0
 */
@Component
@ConditionalOnProperty(prefix = "myapps.signature",name = "enable",havingValue = "true")
public class SignatureJobChangeStatusTask extends TaskAbstract{

    @Value("${myapps.signature.serverKey}")
    String serverKey;
//    private final SignatureToPDFService signatureToPDFService;

//    public SignatureJobChangeStatusTask(SignatureToPDFService signatureToPDFService) {
//        this.signatureToPDFService = signatureToPDFService;
//    }


    @Override
    protected void runCore() {
        System.err.println("====> 电子签章修改状态定时任务开始：60分钟一次................");
        QzSignatureStrategy qzSignatureStrategy = QzSignatureStrategyFactory.getBYServerKey(serverKey);
        qzSignatureStrategy.changeStatus();
//        signatureToPDFService.changeStatus();
    }

    @Override
    public String getTaskName() {
        return "execute.signature.pdf.job.change";
    }

}
